"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidRoleException = exports.RoleAlreadyAssignedException = void 0;
const common_exceptions_1 = require("./common.exceptions");
const TeamService_1 = require("../TeamService");
class RoleAlreadyAssignedException extends common_exceptions_1.LensSDKException {
    constructor(role, userName) {
        super(422, `User '${userName}' is already assigned to role ${role}`);
        Object.setPrototypeOf(this, RoleAlreadyAssignedException.prototype);
    }
}
exports.RoleAlreadyAssignedException = RoleAlreadyAssignedException;
class InvalidRoleException extends common_exceptions_1.LensSDKException {
    constructor(role) {
        super(422, `Role ${role} is invalid. Role should be ${TeamService_1.teamEntityKinds.join(", ")}`);
        Object.setPrototypeOf(this, InvalidRoleException.prototype);
    }
}
exports.InvalidRoleException = InvalidRoleException;
