"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CantRemoveOwnerFromSpaceException = exports.SpaceHasTooManyClustersException = exports.SpaceNameReservedException = exports.SpaceNotFoundException = void 0;
const common_exceptions_1 = require("./common.exceptions");
class SpaceNotFoundException extends common_exceptions_1.NotFoundException {
    constructor(spaceName) {
        super(`Couldn't find space${spaceName ? ` "${spaceName}"` : ""}`);
        Object.setPrototypeOf(this, SpaceNotFoundException.prototype);
    }
}
exports.SpaceNotFoundException = SpaceNotFoundException;
class SpaceNameReservedException extends common_exceptions_1.LensSDKException {
    constructor(spaceName) {
        super(422, `Space name '${spaceName}' is already reserved, please use a different name`);
        Object.setPrototypeOf(this, SpaceNameReservedException.prototype);
    }
}
exports.SpaceNameReservedException = SpaceNameReservedException;
class SpaceHasTooManyClustersException extends common_exceptions_1.LensSDKException {
    constructor(spaceName) {
        super(422, `Space '${spaceName}' has too many k8s clusters`);
        Object.setPrototypeOf(this, SpaceHasTooManyClustersException.prototype);
    }
}
exports.SpaceHasTooManyClustersException = SpaceHasTooManyClustersException;
class CantRemoveOwnerFromSpaceException extends common_exceptions_1.LensSDKException {
    constructor(userName) {
        super(422, `Cannot remove Owner '${userName}' from space`);
        Object.setPrototypeOf(this, CantRemoveOwnerFromSpaceException.prototype);
    }
}
exports.CantRemoveOwnerFromSpaceException = CantRemoveOwnerFromSpaceException;
