import { Base } from "./Base";
import { throwExpected } from "./exceptions";
/**
 *
 * The class for consuming all `LensDesktopKube` resources.
 *
 */
class LensDesktopKubeService extends Base {
    async getK0sVersions() {
        const { apiEndpointAddress, fetch } = this.lensPlatformClient;
        const url = `${apiEndpointAddress}/lens-desktop-kube/k0s-versions.json`;
        const json = await throwExpected(async () => fetch.get(url), {
            unauthenticated: true,
        });
        return json;
    }
}
export { LensDesktopKubeService };
